//
// jot - Text Editor for Windows Mobile
//   Copyright (C) 2007-2008, Aquamarine Networks.  <http://pandora.sblo.jp/>
//
//    This program is EveryOne's ware; you can redistribute it and/or modify it 
//    under the terms of the NYSL version 0.9982 or later. <http://www.kmonos.net/nysl/>
//

#pragma once
#include	"BottomBar.h"
#include	"jot.h"
#include	"editor.h"


// CReplaceBar
#define	ID_RB_FIND		40000
#define	ID_RB_REPLACE	40001


class CReplaceBar : public CBottomBar
{
	DECLARE_DYNAMIC(CReplaceBar)

	CStatic	m_label0;
	CStatic	m_label1;
	CEditor	m_find;
	CEditor	m_replace;
	CString	m_title0;
	CString	m_title1;

public:
	CReplaceBar();
	virtual ~CReplaceBar();

	virtual	void	CreateContents(){
		m_title0.LoadString( IDS_FIND );
		m_title1.LoadString( IDS_REPLACE );
		m_label0.Create( m_title0 , WS_VISIBLE|WS_CHILD  , CRect(0,0,0,0) ,this );
		m_label1.Create( m_title1 , WS_VISIBLE|WS_CHILD  , CRect(0,0,0,0) ,this );
		m_find.Create( WS_VISIBLE|WS_CHILD|WS_BORDER, CRect(0,0,0,0) , this , ID_RB_FIND );
		m_replace.Create( WS_VISIBLE|WS_CHILD|WS_BORDER, CRect(0,0,0,0) , this , ID_RB_REPLACE );
	
		MakeMenu( IDR_REPLACE );
	}
	virtual	int		Layout(){
		CRect rect;
		GetClientRect(&rect);

		CDC	*pDc = GetDC();
		CSize sz = pDc->GetTextExtent( m_title0 );
		ReleaseDC(pDc);
		
		// x
		CRect	lrect0(0,4,sz.cx,sz.cy+4);
		m_label0.MoveWindow( lrect0 );

		// GfBbgRg[
		int	eh = sz.cy *15 /10;
		CRect	erect0(lrect0.right +1 , 1, rect.right - 1 , eh+1 );
		m_find.MoveWindow( erect0 );
		
		// 2i
		int	h2 = eh + 1;

		// x
		CRect	lrect1(0,h2+4,sz.cx,h2+sz.cy+4);
		m_label1.MoveWindow( lrect1 );

		// GfBbgRg[
		CRect	erect1(lrect0.right +1 , h2+1, rect.right - 1 , h2+eh+1 );
		m_replace.MoveWindow( erect1 );

		return (eh+1)*2+6;
	}
	virtual	void	EnterKey()
	{
		//PostMessage( WM_COMMAND , ID_FIND , 0 );
	}
	virtual	void	SetFocusItem()
	{
		m_find.SetFocus();
	}

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnReplaceAll();
	afx_msg void OnUpdateReplaceAll(CCmdUI *pCmdUI);
	afx_msg void OnReplaceDown();
	afx_msg void OnUpdateReplaceDown(CCmdUI *pCmdUI);
	afx_msg void OnReplaceUp();
	afx_msg void OnUpdateReplaceUp(CCmdUI *pCmdUI);
	afx_msg void OnReplace();
	afx_msg void OnUpdateReplace(CCmdUI *pCmdUI);
};


